{{
  Background Text Object for Clock Demo

  These routines don't really need to be in an external object,
  but this shows the technique for building and returning larger
  formatted outputs.  For compatibility with unmodified _text
  drivers we assume the CLS _text.out(0) is sent by the caller
  before the _text.str() of the returned format.
}}

obj
  sf        : "strfmt"

pub normal(ptr)

  ptr := sf.str(ptr, string(13,13))
  ptr := sf.str(ptr, string("   Show A=12/24 B=Sec C=Day",13))
  ptr := sf.str(ptr, string("   D=!Spell Month   E=!mmdd",13))
  ptr := sf.str(ptr, string("   F=!4 digit Year",13,13))
  result := sf.str(ptr, string("              ESC=Set Clock"))

pub setclk(ptr)
  ptr := sf.str(ptr, string(13,13))
  ptr := sf.str(ptr, string("   Use ",2,3," to Select Field",13))
  ptr := sf.str(ptr, string("   Use ",4,5," to Set Value",13,13,13))
  result := sf.str(ptr, string("         ESC = Set Finished"))